- Home
- API Enriched
- Tenant And Identity
- config
- Replace tenant configuration.
Replace tenant configuration.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/tenant_configurations/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"spec":{"basic_configuration":{"display_name":"example"},"brute_force_detection_settings":{"max_login_failures":1},"password_policy":{"digits":1,"expire_password":1,"lowercase_characters":1,"minimum_length":1,"not_recently_used":1,"not_username":true,"special_characters":1,"uppercase_characters":1},"brute_force_detection":{"max_login_failures":1},"tenant_details":{"display_name":"example"},"user_session_expiration":{"absolute_timeout":{"hours":{"duration":1},"minutes":{"duration":1}},"idle_timeout":{"hours":{"duration":1},"minutes":{"duration":1}}}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/tenant_configurations/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "spec": { "basic_configuration": { "display_name": "example" }, "brute_force_detection_settings": { "max_login_failures": 1 }, "password_policy": { "digits": 1, "expire_password": 1, "lowercase_characters": 1, "minimum_length": 1, "not_recently_used": 1, "not_username": true, "special_characters": 1, "uppercase_characters": 1 }, "brute_force_detection": { "max_login_failures": 1 }, "tenant_details": { "display_name": "example" }, "user_session_expiration": { "absolute_timeout": { "hours": { "duration": 1 }, "minutes": { "duration": 1 } }, "idle_timeout": { "hours": { "duration": 1 }, "minutes": { "duration": 1 } } } } }'Shape of the tenant configuration specification.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
object
Tenant display name in the login screen.
object
How many failures before wait is triggered. When login failure count is hit, user will be temporarily locked for a max duration of 15 minutes.
object
The number of digits required to be in the password string.
The number of days for which the password is valid. After the number of days has expired, the user is required to change their password.
The number of lower case letters required to be in the password string.
Minimum length of password. Required: YES.
This policy is used to restrict user from using previously used passwords. Number that’s set determines number of last passwords which user cannot use as new password.
When set, the password is not allowed to be the same as the username.
The number of special characters like ’?!#%$’ required to be in the password string.
The number of upper case letters required to be in the password string.
object
How many failures before wait is triggered. When login failure count is hit, user will be temporarily locked for a max duration of 15 minutes.
object
Tenant display name in the login screen.
object
object
object
Required: YES.
object
Required: YES.
object
object
Required: YES.
object
Required: YES.
Examplegenerated
{ "spec": { "basic_configuration": { "display_name": "example" }, "brute_force_detection_settings": { "max_login_failures": 1 }, "password_policy": { "digits": 1, "expire_password": 1, "lowercase_characters": 1, "minimum_length": 1, "not_recently_used": 1, "not_username": true, "special_characters": 1, "uppercase_characters": 1 }, "brute_force_detection": { "max_login_failures": 1 }, "tenant_details": { "display_name": "example" }, "user_session_expiration": { "absolute_timeout": { "hours": { "duration": 1 }, "minutes": { "duration": 1 } }, "idle_timeout": { "hours": { "duration": 1 }, "minutes": { "duration": 1 } } } }}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example